//
//  AppDelegate.m
//  HelloAdscend
//
//  Created by Tabish on 5/6/15.
//  Copyright (c) 2015 AdscendMedia. All rights reserved.
//

#import "AppDelegate.h"
#import <AdscendMedia/AdscendMedia.h>

//  replace publisher_Id, adwall_Id, profile_Id, subId_1 etc. with real values and initialize the view controller
//  to get these parameters, please read the iOS documentation on our website: http://developer.adscendmedia.com/ios/get-started.php
static NSString* const publisher_Id = @"32740";
static NSString* const adwall_Id = @"2074";
static NSString* const profile_Id = @"365";
static NSString* const subId_1 = @"demo_subid1";

static NSString* const mr_profile_Id = @"3";
static NSString* const mr_subId_1 = @"ios_demo_subid1";

@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // Override point for customization after application launch.
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    
    [self getAllCompletedOffers];
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

- (void) getAllCompletedOffers
{
    /*
     Fetches completed offers from local storage in completedOffers array as a list of NSDictionary with following format.
     {
        @"OfferName" : transaction.offerName,
        @"CurrencyAdjustment" : transaction.currencyAdjustment
     };
     */
    
    // Call this method wherever you need the completed offers which were clicked from your app and do the necessary processing
    
    [AdscendMediaWrapper getCompletedOffersWithPubId:publisher_Id profileId:adwall_Id subId1:subId_1 success:^(NSArray *completedOffers) {
        
        dispatch_async(dispatch_get_main_queue(), ^{
            
            if(completedOffers && completedOffers.count)
            {
                NSString *message = @"";
                
                // Do the necessary processing for completed offers.
                
                for(NSDictionary *offerDict in completedOffers)
                {
                    if(message.length)
                        message = [message stringByAppendingString:@", "];
                    
                    message = [message stringByAppendingString:[offerDict objectForKey:@"OfferName"]];
                }
                
                UIAlertController *alertVC = [UIAlertController alertControllerWithTitle:@"Sample application" message:[NSString stringWithFormat:@"%@ did completed.", message] preferredStyle:UIAlertControllerStyleAlert];
                
                [alertVC addAction:[UIAlertAction actionWithTitle:@"OK" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
                    
                }]];
                
                [self.window.rootViewController.presentedViewController presentViewController:alertVC animated:YES completion:nil];
            }
        });
    } failure:^{
        //Failure :
    }];
}

@end
