//
//  ViewController.m
//  SampleApp
//
//  Created by Tabish on 4/17/15.
//  Copyright (c) 2015 AdscendMedia. All rights reserved.
//

#import "ViewController.h"
#import <AdscendMedia/AdscendMedia.h>

//  replace publisher_Id, adwall_Id, profile_Id, subId_1 etc. with real values and initialize the view controller
//  to get these parameters, please read the iOS documentation on our website: http://developer.adscendmedia.com/ios/get-started.php
static NSString* const publisher_Id = @"114248";
static NSString* const adwall_Id = @"14338";
static NSString* const profile_Id = @"14338";
static NSString* const subId_1 = @"5bae66942509ef00290580f8";

static NSString* const mr_profile_Id = @"3";
static NSString* const mr_subId_1 = @"ios_demo_subid1";

@interface ViewController () <ADOffersViewControllerDelegate, ADRewardedVideoViewControllerDelegate, ADMarketResearchVCDelegate>
{
    ADOffersViewController* offersVC;
    ADMarketResearchViewController* marketResearchVC;
}
@end

@implementation ViewController

#pragma mark - IBActions
- (IBAction)onShowOffers:(id)sender
{
    offersVC = [ADOffersViewController newOffersWallForPublisherId:publisher_Id adwallId:adwall_Id subId1:subId_1 delegate:self];
    
    //  optional properties (uncomment any line you need to use):
    //        offersVC.ageRange = AdAgeRange_1835;
    //        offersVC.gender = AdGender_Male;
    //        offersVC.subid2 = @"subid2";
    //    offersVC.subid3 = @"subid3";
    //    offersVC.subid4 = @"subid4";
    
    //assuming self is a subclass of UIViewController
    [self presentViewController:offersVC animated:YES completion:nil];
}

- (IBAction)onPlayVideo:(id)sender
{
    [ADRewardedVideoViewController newRewardedVideoForPublisherId:publisher_Id profileId:profile_Id subId1:subId_1 delegate:self success:^(ADRewardedVideoViewController *rewardedVideoVC) {
        
        // The response may take some time due to network activity. So you need to show activity indicator yourself till you wait for response.
        
        // On success present the returned rewardedVideoVC
        [rewardedVideoVC presentFrom:self failure:^(NSString *errorMsg) {
            //Show the Error Message in Alert.
            NSLog(@"%@", errorMsg);
        }];
        
    } failure:^(NSString *errorMessage){
        
        //Handle Error
        NSLog(@"Did not recieve any video data.");
    }];
}

- (IBAction)onShowMarketResearch:(id)sender
{
    marketResearchVC = [ADMarketResearchViewController newMarketResearchForPublisherId:publisher_Id profileId:mr_profile_Id subId1:mr_subId_1 delegate:self];
    
    //  optional properties (uncomment any line you need to use):
    marketResearchVC.subid2 = @"ios_demo_subid2";
    marketResearchVC.subid3 = @"ios_demo_subid3";
    marketResearchVC.subid4 = @"ios_demo_subid4";
    
    //assuming self is a subclass of UIViewController
    [self presentViewController:marketResearchVC animated:YES completion:nil];
}

#pragma mark - ADMarketResearchVCDelegate
- (void)onCloseMarketResearchVCPressed
{
    [marketResearchVC dismissViewControllerAnimated:YES completion:nil];
}

#pragma mark - ADOffersViewControllerDelegate
- (void)onCloseOffersVCPressed
{
    [offersVC dismissViewControllerAnimated:YES completion:nil];
}

#pragma mark - ADRewardedVideoViewControllerDelegate
- (void)onUserCredited
{
    NSLog(@"onUserCredited");
}

- (void)onUserNotCredited
{
    NSLog(@"onUser Not Credited");
}

- (void)onCloseVideoVCPressed
{
    NSLog(@"onCloseVideoVCPressed");
}

@end
